Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(12)

Issue 3595018: Language tag for speech. (Closed)

Created:
9 years, 2 months ago by Leandro Graciá Gil
Modified:
8 years, 7 months ago
Reviewers:
Satish, jorlow
CC:
chromium-reviews, pam+watch_chromium.org, brettw-cc_chromium.org, ben+cc_chromium.org, darin-cc_chromium.org, Paweł Hajdan Jr.
Base URL:
http://src.chromium.org/git/chromium.git
Visibility:
Public.

Description

Language tag for speech. This is the 3rd in a 4-sided patch to add language attribute support to speech input. The other patches can be found here: 1st - http://codereview.chromium.org/3615005/show 2nd - https://bugs.webkit.org/show_bug.cgi?id=47089 4th - https://bugs.webkit.org/show_bug.cgi?id=47420 This patch will be submitted once the webkit change has been rolled into chromium DEPS. Also, a last webkit cleanup patch will be submitted at any point after the 2nd patch. BUG=53598 TEST= Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=64466 Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=64596

Patch Set 1 #

Patch Set 2 : Minor fixes. #

Patch Set 3 : rebase and merge with changes introduced by the grammar attribute. #

Total comments: 14

Patch Set 4 : code review fixes. #

Total comments: 2

Patch Set 5 : code review fixes. #

Patch Set 6 : unittest fix. #

Patch Set 7 : rebase. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+43 lines, -29 lines) Patch
M chrome/browser/speech/speech_input_browsertest.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/speech/speech_input_dispatcher_host.h View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/speech/speech_input_dispatcher_host.cc View 1 2 3 1 chunk +3 lines, -1 line 0 comments Download
M chrome/browser/speech/speech_input_manager.h View 1 2 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/speech/speech_input_manager.cc View 1 2 3 chunks +4 lines, -1 line 0 comments Download
M chrome/browser/speech/speech_recognition_request.h View 1 chunk +2 lines, -1 line 0 comments Download
M chrome/browser/speech/speech_recognition_request.cc View 3 4 5 2 chunks +10 lines, -3 lines 0 comments Download
M chrome/browser/speech/speech_recognition_request_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/speech/speech_recognizer.h View 1 2 3 2 chunks +4 lines, -1 line 0 comments Download
M chrome/browser/speech/speech_recognizer.cc View 1 2 2 chunks +4 lines, -1 line 0 comments Download
M chrome/browser/speech/speech_recognizer_unittest.cc View 1 2 3 1 chunk +2 lines, -1 line 0 comments Download
M chrome/common/render_messages_internal.h View 1 2 3 4 5 6 1 chunk +4 lines, -3 lines 0 comments Download
M chrome/renderer/speech_input_dispatcher.h View 1 2 3 2 chunks +1 line, -6 lines 0 comments Download
M chrome/renderer/speech_input_dispatcher.cc View 1 2 1 chunk +2 lines, -8 lines 0 comments Download
M webkit/tools/test_shell/layout_test_controller.cc View 1 2 1 chunk +3 lines, -2 lines 0 comments Download

Messages

Total messages: 10 (0 generated)
Leandro Graciá Gil
9 years, 2 months ago (2010-10-08 11:30:41 UTC) #1
Leandro Graciá Gil
On 2010/10/08 11:30:41, Leandro Graciá Gil wrote: > Not should have tried the bots... yet. ...
9 years, 2 months ago (2010-10-08 12:23:15 UTC) #2
Leandro Graciá Gil
Chromium-side patch for the speech attribute. Let's review this while the WebKit patch rolls into ...
9 years, 1 month ago (2010-10-29 14:13:23 UTC) #3
jorlow
http://codereview.chromium.org/3595018/diff/14001/15009 File chrome/browser/speech/speech_recognizer.h (right): http://codereview.chromium.org/3595018/diff/14001/15009#newcode76 chrome/browser/speech/speech_recognizer.h:76: SpeechRecognizer(Delegate* delegate, int caller_id, put all 4 on their ...
9 years, 1 month ago (2010-10-29 14:26:09 UTC) #4
Satish
http://codereview.chromium.org/3595018/diff/14001/15001 File chrome/browser/speech/speech_input_browsertest.cc (right): http://codereview.chromium.org/3595018/diff/14001/15001#newcode50 chrome/browser/speech/speech_input_browsertest.cc:50: const std::string& language_tag, drop the '_tag' since you don't ...
9 years, 1 month ago (2010-10-29 14:32:11 UTC) #5
Leandro Graciá Gil
http://codereview.chromium.org/3595018/diff/14001/15001 File chrome/browser/speech/speech_input_browsertest.cc (right): http://codereview.chromium.org/3595018/diff/14001/15001#newcode50 chrome/browser/speech/speech_input_browsertest.cc:50: const std::string& language_tag, On 2010/10/29 14:32:11, Satish wrote: > ...
9 years, 1 month ago (2010-10-29 14:44:27 UTC) #6
jorlow
LGTM http://codereview.chromium.org/3595018/diff/27001/28011 File chrome/common/render_messages_internal.h (right): http://codereview.chromium.org/3595018/diff/27001/28011#newcode2882 chrome/common/render_messages_internal.h:2882: gfx::Rect /* element rect in render view coordinates ...
9 years, 1 month ago (2010-10-29 14:52:56 UTC) #7
Leandro Graciá Gil
http://codereview.chromium.org/3595018/diff/27001/28011 File chrome/common/render_messages_internal.h (right): http://codereview.chromium.org/3595018/diff/27001/28011#newcode2882 chrome/common/render_messages_internal.h:2882: gfx::Rect /* element rect in render view coordinates */, ...
9 years, 1 month ago (2010-10-29 15:14:39 UTC) #8
Leandro Graciá Gil
Fixed compile problem in unittest. Sorry, my fault for not doing a git try before ...
9 years, 1 month ago (2010-10-29 21:04:12 UTC) #9
jorlow
9 years, 1 month ago (2010-11-01 08:49:00 UTC) #10
lgtm

On Fri, Oct 29, 2010 at 10:04 PM, <leandrogracia@chromium.org> wrote:

> Fixed compile problem in unittest. Sorry, my fault for not doing a git try
> before committing. I was waiting for the webkit roll and forgot about it.
>
>
> http://codereview.chromium.org/3595018/show
>

Powered by Google App Engine
This is Rietveld 408576698